 -- Formato Modificado del Store  
  
ALTER PROCEDURE TMP_IN_INTRAITEMUpdProc  
(  
    @INVTIDSKU          UD_IDCORPORATIVO,  
    @SEQUENCE  SMALLINT,  
    @QTY               UD_STOCK,  
    @COSTOPEN         UD_COSTO                    = NULL,  
    @COSTOUSD         UD_COSTO                    = NULL,  
    @CORRNBR            int,  
    @CURYID  UD_CURYID)  
AS  
BEGIN  
    BEGIN TRAN  
       
    DECLARE @MONEDABASE CHAR(3)
	
	DECLARE @PERCEPCIONPEN DECIMAL(15,4)
	DECLARE @PERCEPCIONUSD DECIMAL(15,4)
	DECLARE @IMPUESTO1 DECIMAL(15,4)
	DECLARE @IMPUESTO2 DECIMAL(15,4)

    SET @MONEDABASE =(SELECT CURYORIG FROM SETUP)  
 
SET @IMPUESTO1= (SELECT VALUE  
   FROM IN_INVENTORY JOIN TAXS   
   ON IN_INVENTORY.TAXIGV=TAXS.TAXID  
   WHERE INVTIDSKU=@INVTIDSKU) 
 
 SET @IMPUESTO2= (SELECT VALUE  
   FROM IN_INVENTORY JOIN TAXS   
   ON IN_INVENTORY.TAXISC=TAXS.TAXID  
   WHERE INVTIDSKU=@INVTIDSKU)  
  
SET @PERCEPCIONPEN = ROUND(@COSTOPEN * ((@IMPUESTO1/100) + 1) * @QTY,2)  * (@IMPUESTO2/100)
SET @PERCEPCIONUSD = ROUND(@COSTOUSD * ((@IMPUESTO1/100) + 1)* @QTY,2)  * (@IMPUESTO2/ 100)

  
    UPDATE TMP_IN_INTRAITEM  
    SET  SEQUENCE = @SEQUENCE,  
            QTY  = @QTY,  
  STDCOSTPEN=@COSTOPEN,   
  STDCOSTUSD=@COSTOUSD,
	INTPERCPEN =@PERCEPCIONPEN,
	INTPERCUSD=@PERCEPCIONPEN
    WHERE INVTIDSKU=@INVTIDSKU AND CORRNBR=@CORRNBR  
  
    IF (@@error!=0)  
    BEGIN  
        RAISERROR  20001 'No se puede actualizar la tabla TMP_IN_INTRAITEM '  
        ROLLBACK TRAN  
        RETURN(1)  
      
    END  
  
    COMMIT TRAN  
  
    RETURN(0)  
END  
  
/*****************************************************************************************************************************/  
